## org.opengis.geometry.complex
Interface CompositeSolid

All Superinterfaces:
  Complex, Composite, Geometry, Primitive, Solid, TransfiniteSet

    @UML(identifier="GM_CompositeSurface",
         specification=ISO_19107)
    public interface CompositeSolid

extends Composite, Solid

A complex with all the geometric properties of a solid. Essentially, a composite solid is a set of solids that join in pairs on common boundary surfaces to form a single solid.

Since:
  GeoAPI 2.1
Version:
  ISO 19107
TODO:
  This interface extends (indirectly) both `Primitive` and `Complex`. Concequently, there is a clash in the semantics of some set theoretic operation. Specifically, `Primitive.contains(...)` (returns FALSE for end points) is different from `Complex.contains(...)` (returns TRUE for end points).

Method Summary

Methods inherited from interface Composite
`getGenerators`

Methods inherited from interface Complex
`getElements, getSubComplexes, getSuperComplexes, isMaximal`

Methods inherited from interface Solid
`getArea, getProxy, getVolume`

Methods inherited from interface Primitive
`getComplexes, getComposite, getContainedPrimitives, getContainingPrimitives`

Methods inherited from interface Geometry
`clone, distance, getBoundary, getBuffer, getCentroid, getClosure, getConvexHull, getCoordinateDimension, getCoordinateReferenceSystem, getDimension, getDistance, getEnvelope, getMaximalComplex, getMbRegion, getPrecision, getRepresentativePoint, isCycle, isMutable, isSimple, toImmutable, transform, transform`

Methods inherited from interface TransfiniteSet
`contains, contains, difference, equals, intersection, intersects, symmetricDifference, union`

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.